package com.circuitengine.model;

import java.util.HashSet;

import com.circuitengine.model.Components.ElectricComponent;
/*AUTHORS:

- Kevin Stueve (2009-12-20): initial published version
#*****************************************************************************
#       Copyright (C) 2009 Kevin Stueve kstueve@uw.edu
#
#  Distributed under the terms of the GNU General Public License (GPL)
#                  http://www.gnu.org/licenses/
#*****************************************************************************
*/
public final class Circuit {
  public HashSet<ElectricComponent> electricComponents;
  HashSet<TiePoint> tiePoints;
  public Circuit() {
    electricComponents = new HashSet<ElectricComponent>();
    tiePoints = new HashSet<TiePoint>();
  }
}
