package com.circuitengine.model.LinearAlgebra;

import java.math.BigInteger;
import java.util.HashMap;
/*AUTHORS:

- Kevin Stueve (2009-12-20): initial published version
#*****************************************************************************
#       Copyright (C) 2009 Kevin Stueve kstueve@uw.edu
#
#  Distributed under the terms of the GNU General Public License (GPL)
#                  http://www.gnu.org/licenses/
#*****************************************************************************
*/
public final class Row{
  public HashMap<Integer,Double> contents;
  public Row(){
      contents=new HashMap<Integer,Double>();
  }
  public void put(Integer col,Double value){
    if (value.equals(0.0)){
      contents.remove(col);
  }else{
      contents.put(col,value);
  }      
}
  public double get(int col){
      if (contents.containsKey(col)){
          return contents.get(col);
        }else{
         return 0.0;   
        }
    }
  public void remove(int col){
      contents.remove(col); 
  }
}